/*
Copyright  2004-2008 Eland Systems All Rights Reserved.

   1. Redistribution and use in source and binary forms must retain the above
   copyright notice, this list of conditions and the following disclaimer.

   2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.

   3. The name of Eland Systems may not be used to endorse or promote products
   derived from this software without specific prior written permission.
*/

#ifndef UTIL_H_
#define UTIL_H_

void gwhite_init();
void whitere_init();
void greyhostre_init();
int gwhite_readconf();
int ip_cidr(const unsigned long ip, const short int masklen, const unsigned long checkip);
int check_ip(const unsigned long checkip);
int check_re(const char *hostname, const char *helo);
int unixconn(int sockfd, const char *ctlsock_path);
int waitconnect(int sockfd, int timeout_msec);
int dothost(char *host);
int check_asn(const int asn);
int qrydnsasn(const unsigned int ip, char* cctld);
int qrydnsbl(const unsigned int ip);
#ifndef NOGREYCC
char* getcctld( char *mailaddr);
#endif
#ifndef NOMXEVAL
int mxeval(char *mailaddr, const unsigned int ip);
#endif
#ifdef POPAUTH
extern int checkpopauth(const char* dbfile, struct sockaddr *ip);
#endif
extern unsigned int greylisttime;
extern unsigned int greylistexpiry;
extern int greylistdistance;
#endif

